|  | Home |

# QMailMessageSetContainer Class Reference

The QMailMessageSetContainer class specifies the interface implemented by container nodes in a QMailMessageSet tree hierarchy. More...

        #include <QMailMessageSetContainer>

This class is under development and is subject to change.

Inherited by QMailMessageSet and QMailMessageSetModel.

- List of all members, including inherited members

## Public Functions

virtual void | append ( QMailMessageSet * child )
QMailMessageSet * | at ( int i ) const
int | count () const
int | indexOf ( QMailMessageSet * child ) const
virtual QMailMessageSetModel * | model () = 0
QMailMessageSetContainer * | parentContainer ()
virtual void | remove ( QMailMessageSet * child )
virtual void | remove ( const QList<QMailMessageSet *> & obsoleteChildren )
virtual void | removeDescendants ()
virtual void | update ( QMailMessageSet * child )

## Protected Functions

virtual void | resyncState ()

## Detailed Description

The QMailMessageSetContainer class specifies the interface implemented by container nodes in a QMailMessageSet tree hierarchy.

QMailMessageSetContainer provides the management for a collection of contained nodes in a QMailMessageSet tree hierarchy. It also defines the interface available to contained nodes, which must inherit from QMailMessageSet.

## Member Function Documentation

### void QMailMessageSetContainer::append ( QMailMessageSet * child ) `[virtual]`

Appends child to the list of QMailMessageSets contained by this object.

The container assumes responsibility for deleting the child object.

### QMailMessageSet * QMailMessageSetContainer::at ( int i ) const

Returns the QMailMessageSet object located at index i within this container object.

See also indexOf().

### int QMailMessageSetContainer::count () const

Returns the number of QMailMessageSets contained by this container object.

### int QMailMessageSetContainer::indexOf ( QMailMessageSet * child ) const

Returns the index within this container of the QMailMessageSet child, or -1 if it is not contained by this container object.

See also at().

### QMailMessageSetModel * QMailMessageSetContainer::model () `[pure virtual]`

Returns the model that owns this container.

### QMailMessageSetContainer * QMailMessageSetContainer::parentContainer ()

Returns the parent container for this container object, or NULL if it has no parent container.

### void QMailMessageSetContainer::remove ( QMailMessageSet * child ) `[virtual]`

Removes child from the list of QMailMessageSets contained by the container object.

### void QMailMessageSetContainer::remove ( const QList<QMailMessageSet *> & obsoleteChildren ) `[virtual]`

Removes each member of obsoleteChildren from the container object.

### void QMailMessageSetContainer::removeDescendants () `[virtual]`

Removes all descendants of the container from the model.

### void QMailMessageSetContainer::resyncState () `[virtual protected]`

Resets the state of each child within the container object.

### void QMailMessageSetContainer::update ( QMailMessageSet * child ) `[virtual]`

Informs the container that child has been modified, and the container may need to be updated.